SMIMEEncryptionKeyPreferenceAttribute (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1.smime

## Class SMIMEEncryptionKeyPreferenceAttribute

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cms.Attribute
    - - org.bouncycastle.asn1.smime.SMIMEEncryptionKeyPreferenceAttribute

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class SMIMEEncryptionKeyPreferenceAttribute
      extends Attribute

  The SMIMEEncryptionKeyPreference object.

       SMIMEEncryptionKeyPreference ::= CHOICE {
           issuerAndSerialNumber   [0] IssuerAndSerialNumber,
           receipentKeyId          [1] RecipientKeyIdentifier,
           subjectAltKeyIdentifier [2] SubjectKeyIdentifier
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SMIMEEncryptionKeyPreferenceAttribute(ASN1OctetString sKeyId)`
    `SMIMEEncryptionKeyPreferenceAttribute(IssuerAndSerialNumber issAndSer)`
    `SMIMEEncryptionKeyPreferenceAttribute(RecipientKeyIdentifier rKeyId)`

  - ### Method Summary

    - ### Methods inherited from class org.bouncycastle.asn1.cms.Attribute

      `getAttributeValues, getAttrType, getAttrValues, getInstance, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SMIMEEncryptionKeyPreferenceAttribute

          public SMIMEEncryptionKeyPreferenceAttribute(IssuerAndSerialNumber issAndSer)

    - #### SMIMEEncryptionKeyPreferenceAttribute

          public SMIMEEncryptionKeyPreferenceAttribute(RecipientKeyIdentifier rKeyId)

    - #### SMIMEEncryptionKeyPreferenceAttribute

          public SMIMEEncryptionKeyPreferenceAttribute(ASN1OctetString sKeyId)

      Parameters:
        `sKeyId` - the subjectKeyIdentifier value (normally the X.509 one)